## timeshift 17.11~backport

=== debian/changelog ===
timeshift (17.11~backport) xenial; urgency=medium

  * Backport version (no dep on libxapp 1.0.4)

  * Added appdata file

  * Prefer pkexec for starting timeshift in Wayland session

  * Added a Polkit policy file

  * Add hidpi support for icons

  * Updated translations
  
 -- Tony George <tony.george.kol@gmail.com>  Sun, 05 Nov 2017 10:00:00 +0530

timeshift (17.10) xenial; urgency=medium

  * [Changed] Entire contents of home directories will be excluded by
  default. Any data to be included from home directories must be
  explicitly selected from Settings window.
   
  * [Fixed] Encrypted home directories will be backed-up and restored
  using encrypted files in /home/.ecryptfs. Decrypted contents will
  NOT be saved to backup location.

  * [Added] Added support for BTRFS systems with @ on BTRFS volume
  and /home mounted on non-BTRFS partition

  * [Added] Support for window progress in Cinnamon 3.6 using libxapp

  * [Added] Install a default configuration file in 
  /etc/default/timeshift.json

  * [Removed] Removed the Exclude Apps page in restore wizard

  * [Removed] Unnecessary dependency on libxml2 and libsoup

  * [Fixed] Inverted mouse cursor was displayed for some cursor themes
  on KDE and GTK

  * [Fixed] Message dialog was unreadable when timeshift-gtk was
  started without admin access on a system with newer versions of GTK+

  * [Fixed] Updated timeshift-launcher to work with Wayland in Fedora

  * [Fixed] Snapshots were saved on root device if backup device was missing
  
  * [Fixed] Build error with valac-0.36

  * [Fixed] Build error with libvte-2.91 on Debian 9

  * [Fixed] Scheduled tasks will be added only after user clicks 
  Next on Schedule page. Tasks will not be added if user quits the
  Setup Wizard without clicking Next on the Schedule page.

  * [Changed] Use symbolic icons in toolbar for better contrast with
  light and dark GTK themes

  * [Updated] Donation window

  * [Updated] Improved installer; More robust and supports more systems

  * [Updated] Added new translations by Linux Mint translation teams
  
 -- Tony George <tony.george.kol@gmail.com>  Sun, 01 Oct 2017 10:00:00 +0530

timeshift (17.2) trusty; urgency=medium

  * Use StackWidget for Settings window

  * Fixed: Hourly task was not created correctly

  * Settings: Updated messages in Schedule tab to avoid confusion
  
 -- Tony George <tony.george.kol@gmail.com>  Thu, 26 Jan 2017 10:00:00 +0530

timeshift (17.1) trusty; urgency=medium

  * Added support for BTRFS snapshots. There's a new tab in Settings
  Window to select the snapshot type as BTRFS or RSYNC. Application will
  default to BTRFS snapshots on supported systems.

  * Added support for BTRFS systems with @ and @home on different disks

  * Exclude: Added /var/lib/docker to default exclude list. This will
  prevent recursive backups which can cause the disk to run out of
  space. 

  * Exclude: Added /timeshift-btrfs and /var/log/timeshift to
  default exclude list

  * Scheduling: Scripts will be created in /etc/cron.*/ instead of
  adding entries to root user's crontab. This allows users to create
  custom jobs for timeshift without any conflict with jobs created
  automatically by the application.

  * Console: Replaced options '--backup' with '--check', and
  '--backup-now' with '--create'

  * Console: Added option --tags to specify backup level while creating
  snapshots

  * Console: Added options --btrfs and --rsync to specify snapshot type

  * Console: Fixed: Progress was not displayed when first snapshot was
  taken. System size will be estimated before creating first snapshot.

  * Console: Fixed: Comments passed as command argument were not saved

  * Settings: Removed Notes tab from SettingsWindow

  * Settings: Added option to stop emails sent by cron service

  * Use expanded ButtonBox if gtk+ version >= 3.18

  * Package 'timeshift' now replaces package 'timeshift-btrfs'
  if installed on the system

  * Added Ukranian translation by Ihor Chomko

  * Added Swedish translation by Åke Engelbrektson
  
 -- Tony George <tony.george.kol@gmail.com>  Sun, 15 Jan 2017 10:00:00 +0530

timeshift (16.11.2) trusty; urgency=medium

  * Fixed: Partitions were not detected correctly on LMDE2 Betsy

  * Fixed some dependency issues while running installer on LMDE2.
  Installer will be built using trusty as base instead of xenial for
  better compatibility with older distros.
  
 -- Tony George <tony.george.kol@gmail.com>  Fri, 11 Nov 2016 14:00:00 +0530

timeshift (16.11.1) trusty; urgency=medium

  * Fixed an issue with application launcher
  
 -- Tony George <tony.george.kol@gmail.com>  Fri, 11 Nov 2016 14:00:00 +0530

timeshift (16.11) trusty; urgency=medium

  * Moved console and Gtk code to separate utilities:
  'timeshift' and 'timeshift-gtk'

  * Console: Display progress in terminal while creating and
  deleting snapshots; Added --comments option for setting the comment
  when new snapshot is created; Changed input timeout interval to
  60 seconds;

  * RestoreWindow: Removed loop devices from target device dropdowns;
  Fixed some issues in device selection logic; Comboboxes would remain
  unselected in some scenarios; User will be prompted to unlock
  default devices before the restore window is displayed; LVM volume
  names will be displayed on the target device selection tab;

  * RestoreWindow: Added new options to reinstall GRUB,
  update initramfs and update GRUB menu; Fixed: Progress will be
  displayed when restoring another system in GUI mode; Added
  right-click menu option to view restore log file;

  * RestoreWindow: Exclude Apps: Populate items from destination home
  directories as well as snapshot's home directories.

  * Restore: Bind /dev/pts when chrooting the restored system;

  * Restore: Check and repair file systems after offline restore;

  * UI: Added borders around statusbar; 

  * OS Support: Fedora/RedHat: Fixed detection of Live USB mode;
  Fixed an issue with grub update;



## timeshift 25.07.7

=== meson_options.txt ===
option('man', type: 'boolean', value: true, description: 'build man pages using help2man')
option('xapp', type: 'boolean', value: true, description: 'enable support for xapp library')

## timeshift 17.11

=== debian/changelog ===
timeshift (17.11-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Dec 2017 16:38:54 -0800

timeshift (17.11-0~201711051436~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Tony George <teejee2008@gmail.com>  Sun, 05 Nov 2017 15:08:55 +0000

timeshift (17.11) xenial; urgency=medium

  * Added appdata file

  * Prefer pkexec for starting timeshift in Wayland session

  * Added a Polkit policy file

  * Add hidpi support for icons

  * Updated translations
  
 -- Tony George <tony.george.kol@gmail.com>  Sun, 05 Nov 2017 10:00:00 +0530

=== debian/control ===
Source: timeshift
Section: utils
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tony George <tony.george.kol@gmail.com>
Build-Depends: debhelper (>= 9),
                autotools-dev,
                valac,
                libgtk-3-dev,
                libgee-0.8-dev,
                libjson-glib-dev,
                libvte-2.91-dev
Standards-Version: 3.9.3
Homepage: http://teejeetech.blogspot.in/

Package: timeshift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 17.11.2

=== debian/changelog ===
timeshift (17.11.2) sylvia; urgency=medium

  [ Tony George ]
  * Updated README; Added section on supported system types;
  * Updated README
  * Updated launcher script - do not set variables for pkexec

  [ TotalCaesar659 ]
  * Fixed untranslatable string
  * Update DeleteBox.vala
  * Update RestoreBox.vala

  [ NikoKrause ]
  * Add missing translatable String
  * Add some more translatable Strings

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Tony George <teejeetech@gmail.com>  Wed, 29 Nov 2017 10:40:49 +0000

## timeshift 18.1+tara+pearl7

=== debian/changelog ===
timeshift (18.1+tara+pearl7) xenial; urgency=medium

  * Initial build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 16 Mar 2018 16:52:08 -0500

timeshift (18.1+tara) xenial; urgency=medium

  * Added messages to Settings window to answer common questions

  * Added 3 options for including and excluding home directory contents

  * Number of snapshots to keep will be enabled, even if snapshot level
  is not selected.

  * Excluded paths/devices will not be mounted during restore

  * /var/lib/schroot will be excluded by default to prevent an issue
  with the snapshot never completing

  * /DATA and /sdcard will be excluded by default, as some users mount
  devices at these locations.

  * Added a check for "notify-send" before sending a desktop
  notification. "notify-send" is not available on some systems.

  * About window was updated to include the GPL license text. Web links
  will open web browser as non-admin user.

  * #95 Added support for selecting partition-less devices as snapshot device
  
  * #97 PARTLABEL and LABEL will be displayed in device list

 -- Tony George <tony.george.kol@gmail.com>  Sun, 14 Jan 2018 10:00:00 +0530

## timeshift 18.6%2Btara

=== debian/changelog ===
timeshift (18.6+tara) xenial; urgency=medium

  * Exclude /swapfile for rsync snapshots

  * Translation fixes

 -- Tony George <tony.george.kol@gmail.com>  Sat, 23 Jun 2018 20:00:00 +0530

timeshift (18.4) xenial; urgency=medium

  * UI Improvements

  * Added option to keep BTRFS qgroups disabled

  * Added a fix for nested subvolume issue

 -- Tony George <tony.george.kol@gmail.com>  Sun, 01 Apr 2018 10:00:00 +0530

timeshift (18.2.1) xenial; urgency=medium

  * Fixed an issue in parsing subvol name from fstab

 -- Tony George <tony.george.kol@gmail.com>  Mon, 12 Feb 2018 10:00:00 +0530

timeshift (18.2) xenial; urgency=medium

  * Updated rsync log viewer

  * Display preview of files to be restored for rsync snapshots

  * Enable "View Log for Restore" menu item only if restore log exits

  * Appdata: Install to both /appdata and /metainfo for compatibility

  * Skip parsing log file after creating rsync snapshot

  * Disable deleted count label while creating snapshot as this info
  is not applicable while creating snapshots

  * makefile: Remove rpath; Break commands over multiple lines;

  * Removed menu item for "Refresh Snapshot List"

  * Statusbar: DIsplay status items in separate frames

  * Restore: Allow compare action to be cancelled

  * Fixed: Unchanged files count was not displayed

 -- Tony George <tony.george.kol@gmail.com>  Sat, 03 Feb 2018 10:00:00 +0530

timeshift (18.1.1) xenial; urgency=medium

  * Fixed an issue where home directory would get deleted while
  restoring rsync snapshot. This happened in scenarios where the user
  had created a snapshot excluding home directory, and later
  restored the snapshot after including home directory in Settings.
  To avoid such scenarios, user-specified include filters
  will be ignored for restore. Exclude list that was created during
  snapshot creation will be used instead, along with any additional
  exclude filters.

 -- Tony George <tony.george.kol@gmail.com>  Thu, 25 Jan 2018 10:00:00 +0530

timeshift (18.1) xenial; urgency=medium

  * Added messages to Settings window to answer common questions

  * Added 3 options for including and excluding home directory contents

  * Number of snapshots to keep will be enabled, even if snapshot level
  is not selected.

  * Excluded paths/devices will not be mounted during restore

  * /var/lib/schroot will be excluded by default to prevent an issue
  with the snapshot never completing

  * /DATA and /sdcard will be excluded by default, as some users mount
  devices at these locations.

  * Added a check for "notify-send" before sending a desktop
  notification. "notify-send" is not available on some systems.

  * About window was updated to include the GPL license text. Web links
  will open web browser as non-admin user.

  * #95 Added support for selecting partition-less devices as snapshot device
  
  * #97 PARTLABEL and LABEL will be displayed in device list

 -- Tony George <tony.george.kol@gmail.com>  Sun, 14 Jan 2018 10:00:00 +0530

## timeshift 18.9+ds

=== debian/changelog ===
timeshift (18.9+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #908002)

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 05 Sep 2018 12:51:11 +0800

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Build-Depends:
 debhelper (>=11~),
 valac,
 libgtk-3-dev,
 libgee-0.8-dev,
 libjson-glib-dev,
 libvte-2.91-dev,
Standards-Version: 4.2.1
Homepage: http://teejeetech.blogspot.in/
Vcs-Git: https://salsa.debian.org/yanhao-guest/timeshift.git
Vcs-Browser: https://salsa.debian.org/yanhao-guest/timeshift

Package: timeshift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rmdir debian/timeshift/usr/share/man/man1
	rmdir debian/timeshift/usr/share/man
	rmdir debian/timeshift/usr/share/appdata
	rmdir debian/timeshift/usr/share/metainfo
	rm -f debian/timeshift/usr/bin/timeshift-uninstall

## timeshift 18.9.1.2%2Btessa

=== debian/changelog ===
timeshift (18.9.1.2+tessa) tessa; urgency=medium

  * Move donate button to burger menu

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Nov 2018 16:53:50 +0000

timeshift (18.9.1.1) tessa; urgency=medium

  [ Tony George ]
  * Update issue templates
  * Update issue templates

  [ p-bo ]
  * Update timeshift-cs.po

  [ Tanarri ]
  * Update timeshift-de.po

  [ Tony George ]
  * Update issue templates

  [ Alan01 ]
  * Update timeshift-da.po

  [ Kirill Romanov ]
  * Set notification desktop entry hint
  * Set X-GNOME-UsesNotifications flag

  [ Tony George ]
  * Update issue templates

  [ Butterfly ]
  *  tr.po update v.18.9.1

  [ NikoKrause ]
  * update translation template & complete German translation

  [ muzena ]
  * Update timeshift-hr.po

  [ cmulk ]
  * Main: Update snapshot list after each snapshot is taken Fixes the issue of trying to take double snapshots when it should just be multiple tags on one snapshot

  [ Nicholas K. Dionysopoulos ]
  * Exclude /snap by default

  [ cmulk ]
  * Allow the accidentally nested snapshots to be deleted normally

  [ Tony George ]
  * Updated message
  * Added more build targets
  * Updated
  * Exclude /snap folder contents instead of folder
  * Fixes #336 - Wizard resets some settings even if you do not complete it
  * #324 Re-calculate snapshot size after adding custom exclude pattern

  [ Clement Lefebvre ]
  * Build-dep on libxapp

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 17:27:10 +0000

timeshift (18.9.1) xenial; urgency=medium

  * Updated donation window message

 -- Tony George <tony.george.kol@gmail.com>  Wed, 05 Sep 2018 10:00:00 +0530

timeshift (18.9) xenial; urgency=medium

  * Updated donation window

  * Display donation button in toolbar

 -- Tony George <tony.george.kol@gmail.com>  Sat, 01 Sep 2018 10:00:00 +0530

timeshift (18.8) xenial; urgency=medium

  * #196 Fixed a typo

  * #191 Don't exclude /var/spool

  * Add makepot file
  
  * Launcher: Explicitly pass DISPLAY and XAUTHORITY to pkexec

  * Use -O3 optimization when compiling with gcc

  * #278 Increased the width of Setup Wizard window

  * Fixed: Unencrypted partionless disk could not be used as backup device

  * Added support for using F2FS and ZFS filesystems for RSYNC backups

  * Workaround for Docker mounting rootfs on /var/lib/docker/plugins

  * Added support for raid5 and dmraid

  * Translation fixes

 -- Tony George <tony.george.kol@gmail.com>  Sun, 26 Aug 2018 10:00:00 +0530

timeshift (18.6.1) xenial; urgency=medium

  * Rsync: Read fstab to exclude devices mounted on non-standard locations

  * UI: Hide snapshot type information behind an expander

  * UI: Added frame around messages; Use smaller bullet characters;

  * Wizard: Add "Users" page to Setup Wizard for selecting home directory

  * Fixed build issue with newer version of libvte291

 -- Tony George <tony.george.kol@gmail.com>  Sun, 24 Jun 2018 17:00:00 +0530

timeshift (18.6) xenial; urgency=medium

  * Exclude /swapfile for rsync snapshots

  * Translation fixes

 -- Tony George <tony.george.kol@gmail.com>  Sat, 23 Jun 2018 20:00:00 +0530

## timeshift 19.01+ds

=== debian/changelog ===
timeshift (19.01+ds-1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Refresh 0005-build-with-debug-info.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Feb 2019 07:37:11 -0800

timeshift (18.9+ds-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 14:28:03 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: timeshift
 Section: utils
 Priority: optional
-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
 Build-Depends:
- debhelper (>=11~),
+ debhelper (>=10),
  valac,
  libgtk-3-dev,
  libgee-0.8-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	rmdir debian/timeshift/usr/share/appdata
 	rmdir debian/timeshift/usr/share/metainfo
 	rm -f debian/timeshift/usr/bin/timeshift-uninstall
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%timeshift-$1.tar.gz%" \
   https://github.com/teejee2008/timeshift/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## timeshift 19.01.0.2+cindy

=== debian/changelog ===
timeshift (19.01.0.2+cindy) tina; urgency=medium

  * Fix NL translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 Aug 2019 10:08:53 +0200

timeshift (19.01.0.1) tina; urgency=medium

  [ AlephAlpha ]
  * update Chinese (zh_CN) translations

  [ rodrigocswm ]
  * pt-BR update
  * pt-BR update

  [ Rodrigo Cardoso ]
  * Remove duplicate translations

  [ Tony George ]
  * #375 Fix build errors with vala 0.42.5; Remove --threads from makefile;

  [ scootergrisen ]
  * Update timeshift-da.po

  [ AlephAlpha ]
  * fix a typo in timeshift-zh_CN.po

  [ pyroxar ]
  * Updated polish translation.

  [ LukeHan ]
  * Update timeshift-ko.po

  [ Jurien ]
  * Update timeshift-nl.po

  [ muzena ]
  * Fix/Update Croatian language

  [ gogogogi ]
  * Update timeshift-hr.po

  [ pyroxar ]
  * Little grammar corrections

  [ Clement Lefebvre ]
  * Build-dep on libxapp
  * Move donate button to burger menu

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 15:28:07 +0200

timeshift (19.01) xenial; urgency=medium

  * Exclude /snap by default

  * Updated translations

  * #362 - Don't delete snapshots older than X interval if count < max

  * #211 - Snapshots with comments will not be auto-removed

 -- Tony George <tony.george.kol@gmail.com>  Sun, 20 Jan 2019 10:00:00 +0530

## timeshift 19.01.0.2+tina

=== debian/changelog ===
timeshift (19.01.0.2+tina) tina; urgency=medium

  * Fix NL translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 Aug 2019 10:08:53 +0200

=== debian/control ===
Source: timeshift
Section: utils
Priority: extra
Maintainer: Tony George <tony.george.kol@gmail.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, valac, libgtk-3-dev, libgee-0.8-dev, libjson-glib-dev, libvte-2.91-dev, libxapp-dev
Standards-Version: 3.9.3
Homepage: http://teejeetech.blogspot.in/
#Vcs-Git: git://git.debian.org/collab-maint/hello.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/hello.git;a=summary

Package: timeshift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
#Recommends:
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 19.08.1.2+tricia

=== debian/changelog ===
timeshift (19.08.1.2+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * Main.vala: allow post-restore scripts to be called prior to reboot. (#4)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Dec 2019 09:57:45 +0000

timeshift (19.08.1.1) tricia; urgency=medium

  [ muzena ]
  * Update Croatian language

  [ wesaphzt ]
  * Update AsyncTask.vala

  [ Hsiu-Ming Chang ]
  * Add Chinese (Traditional) translation

  [ OlesyaGerasimenko ]
  * Update Russian translation

  [ Åke Engelbrektson ]
  * Update timeshift-sv.po

  [ Tony George ]
  * Update issue templates
  * Update issue templates
  * Update issue templates
  * Update issue templates

  [ Pjotr123 ]
  * Update timeshift-nl.po

  [ Clement Lefebvre ]
  * Build-dep on libxapp
  * Move donate button to burger menu
  * Desktop file: Use pkexec directly

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2019 16:08:10 +0000

timeshift (19.08.1) xenial; urgency=medium

  * #375 Fix build errors with vala 0.42.5; Remove --threads from makefile;

  * #443 Add support for custom date format; Add new page for Misc settings;

  * Add OK button to Settings window

  * Improve the layout of Prev/Next/Finish navigation buttons

  * Fix incorrect date format for path string

  * Use the --sparse option with rsync

  * #437 Exclude package manager cache for rsync snapshots

  * #436 Add man page

  * #386 Fix an issue with check for admin access

  * Update translation template and translation files

 -- Tony George <teejeetech@gmail.com>  Sun, 11 Aug 2019 18:00:00 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: timeshift
 Section: utils
 Priority: extra
-Maintainer: Tony George <tony.george.kol@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, valac, libgtk-3-dev, libgee-0.8-dev, libjson-glib-dev, libvte-2.91-dev, libxapp-dev
+Maintainer: Tony George <teejeetech@gmail.com>
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, gzip, valac, libgtk-3-dev, libgee-0.8-dev, libjson-glib-dev, libvte-2.91-dev, libxapp-dev
 Standards-Version: 3.9.3
-Homepage: http://teejeetech.blogspot.in/
+Homepage: https://teejeetech.in/
 #Vcs-Git: git://git.debian.org/collab-maint/hello.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/hello.git;a=summary

## timeshift 20.03+ds

=== debian/changelog ===
timeshift (20.03+ds-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 20 Aug 2020 08:01:41 -0400

timeshift (20.03+ds-2) unstable; urgency=medium

  * debian/patches:
    + Add $(VALAFLAGS) to valac call to fix lintian
      hardening-no-bindnow.
    + Fix lintian desktop-entry-lacks-keywords-entry.
  * debian/copyright:
    + Fix lintian missing-explanation-for-repacked-upstream-tarball.
  * debian/timeshift.appdata.xml:
    + Add <launchable> tag to fix AppStream metadata issue.
  * debian/control: Add Rules-Requires-Root.
  * debian/upstream/metadata: Added upstream metadata.

  [ Boyuan Yang ]
  * debian/control: Update Vcs-* fields and use git packaging repo
      under Salsa Debian Group.
  * debian/README.Debian: Removed, no longer applicable.

 -- Steve Meliza <swm@swm1.com>  Sun, 15 Mar 2020 12:16:40 -0700

timeshift (20.03+ds-1) unstable; urgency=high

  * New upstream version (Closes: #951302)
  * d/control: Update homepage URL (Closes: #952690)

 -- Steve Meliza <swm@swm1.com>  Sun, 08 Mar 2020 14:12:47 -0700

timeshift (19.01+ds-2.1) unstable; urgency=high

  * Non-maintainer upload
  * d/patches: Add a patch to fix FTBFS (Closes: #948130)

 -- Steve Meliza <swm@swm1.com>  Mon, 17 Feb 2020 22:33:00 -0800

timeshift (19.01+ds-2) unstable; urgency=medium

  * d/control: Add missing dependency: psmisc (Closes: #919760).

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 28 Feb 2019 12:03:15 +0800

timeshift (19.01+ds-1) unstable; urgency=medium

  * New upstream version 19.01+ds
  * d/patches: Add a patch to fix FTBFS (Closes: #921762),
    and some trivial updates.
  * d/control: Using debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * d/compat: Removed.
  * Remove d/timeshift.appdata.xml, get rid of lintian warning:
    inconsistent-appstream-metadata-license .

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 28 Jan 2019 13:46:04 +0800

timeshift (18.9+ds-2) unstable; urgency=medium

  * Fix d/watch.
  * Workaround valac hardening issues.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 04 Jan 2019 15:06:42 +0800

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders: Steve Meliza <swm@swm1.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               libgee-0.8-dev,
               libgtk-3-dev,
               libjson-glib-dev,
               libvte-2.91-dev,
               valac
Standards-Version: 4.5.0
Homepage: https://teejeetech.in/timeshift/
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends: psmisc, rsync, ${misc:Depends}, ${shlibs:Depends}
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 20.11.1

=== debian/changelog ===
timeshift (20.11.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Feb 2021 07:43:50 -0800

timeshift (20.11.1-1) unstable; urgency=medium

  * New upstream version 20.11.1
  * Remove some patches that are no longer fit.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 09 Jan 2021 17:47:15 +0800

timeshift (20.03+ds-3) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Upstream translation fixes
  * d/patches: Add a patch to remove gvfs-trash dependency (Closes: #969773)
  * debian: Add missing man pages
  * debian/timeshift.appdata.xml:
    + Fix AppStream warnings

 -- Steve Meliza <swm@swm1.com>  Fri, 30 Oct 2020 17:17:03 -0700

timeshift (20.03+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Update Vcs-* fields and use git packaging repo under Salsa
      Debian Group.
  * debian/README.Debian: Removed, no longer applicable.

 -- Boyuan Yang <byang@debian.org>  Fri, 13 Mar 2020 13:49:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: timeshift
 Section: utils
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Maintainer: Yanhao Mo <yanhaocs@gmail.com>
 Uploaders: Steve Meliza <swm@swm1.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/timeshift/usr/share/man/man1
	rmdir debian/timeshift/usr/share/man
	rm -f debian/timeshift/usr/bin/timeshift-uninstall

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## timeshift 20.11.1.1+debbie

=== debian/changelog ===
timeshift (20.11.1.1+debbie) ulyssa; urgency=medium

  [ Tony George ]
  * Packaging: Prefer btrfs-progs over btrfs-tools
  * Fix some compiler warnings
  * #676: Fix: Build fails with xapp 2.0.0
  * #676 Update references to GLib.Object

  [ Clement Lefebvre ]
  * Build-dep on libxapp
  * Move donate button to burger menu
  * Desktop file: Use pkexec directly

  [ Michael Webster ]
  * Main.vala: allow post-restore scripts to be called prior to reboot. (#4)

  [ Clement Lefebvre ]
  * Polkit: Use generic app name in policy file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Dec 2020 15:27:51 +0000

timeshift (20.11.1) focal; urgency=medium

  * Fix #631: Escape single quote in LUKS password when unlocking device
  
  * Fix #626: Filters: Save filter order changes when clicking OK
    
  * Fix #643: Filters: Save changes after Include/Exclude radio is toggled

  * Fix #668: Filters: Save changes immediately after pattern is edited

  * Fix #666: Filters: Save changes immediately after adding a pattern;
  and before clicking Summary button
  
  * Move config file to /etc/timeshift/timeshift.json
  
  * Move default config to /etc/timeshift/default.json
  
  * AppStream: Install only under /usr/share/metainfo. Don't install 
  under /usr/share/appdata/
  
  * Fix #497, #467: Fix missing hourly backups
  
  * Option to unmark snapshots that are marked for deletion
  
  * Remove unused functions and code
  
  * pkexec: Don't pass DISPLAY and AUTHORITY in launcher script

 -- Tony George <teejeetech@gmail.com>  Sun, 15 Nov 2020 20:00:00 +0530

timeshift (20.03) xenial; urgency=medium

  * Fix an issue with script execution

 -- Tony George <teejeetech@gmail.com>  Thu, 05 Mar 2020 05:00:00 +0530

timeshift (20.02) xenial; urgency=medium

  * Fix bind-mount issues (#528, #535, #536, #555)

  * Mount devices to /run/timeshift instead of /mnt/timeshift

  * Update translation files

 -- Tony George <teejeetech@gmail.com>  Sat, 29 Feb 2020 10:00:00 +0530

## timeshift 21.09.1

=== debian/changelog ===
timeshift (21.09.1-1~mx21+2) mx; urgency=medium

  * Patched for MX Linux to mount btrfs at top-level.

 -- fehlix <fehlix@mxlinux.org>  Sun, 27 Feb 2022 12:24:03 -0400

timeshift (21.09.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Dec 2021 15:43:13 -0800

timeshift (21.09.1-1) unstable; urgency=medium

  * New upstream version 21.09.1
  * Remove debian/patches/d43..patch, already merged by upstream.

 -- Yanhao <yanhaocs@gmail.com>  Sat, 02 Oct 2021 00:11:18 +0800

timeshift (20.11.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper-compat to v13.
  * debian/control:
    + Use github repo as homepage since original homepage is not working.
    + Add Breaks: util-linux (<< 2.37.2~) due to #992921.
  * debian/patches/d437..patch: Add upstream patch to fix compatibility
    with new util-linux. (Closes: #992921)
  * debian/rules: Remove broken upstream-provided man page before
    dh_installman (required by debhelper compat v13).

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Aug 2021 14:21:02 -0400

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders: Steve Meliza <swm@swm1.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libgee-0.8-dev,
               libgtk-3-dev,
               libjson-glib-dev,
               libvte-2.91-dev,
               valac
Standards-Version: 4.6.0
Homepage: https://github.com/teejee2008/timeshift
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends: psmisc, rsync, ${misc:Depends}, ${shlibs:Depends}
# Breaks: util-linux (<< 2.37.2~)
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

# Remove broken upstream-installed man page
execute_before_dh_installman:
	rm -f debian/timeshift/usr/share/man/man1/timeshift.1*

execute_after_dh_auto_install:
	rm -rf debian/timeshift/usr/share/man/man1
	rmdir debian/timeshift/usr/share/man
	rm -f debian/timeshift/usr/bin/timeshift-uninstall

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym


# Adjust version number to reflect changes made by MX
DEB_BUILD_VERSION := $(shell dpkg-parsechangelog -S Version)
override_dh_auto_build:
	sed -i~ 's/AppVersion = .*/AppVersion = "$(DEB_BUILD_VERSION)";/' src/Gtk/AppGtk.vala src/Console/AppConsole.vala
	cp -af timeshift.pot timeshift.pot~
	dh_auto_build

# Clean build changes in source
execute_after_dh_builddeb:
	@echo Cleanup source in execute_after_dh_builddeb
	for F in timeshift.pot po/*.po src/Gtk/AppGtk.vala src/Console/AppConsole.vala; do test -f "$$F~" && mv -f "$$F~" "$$F"; done

override_dh_auto_clean:
	dh_auto_clean
	cp -af timeshift.pot timeshift.pot~

## timeshift 22.06.1

=== debian/changelog ===
timeshift (22.06.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to linuxmint upstream. (Closes: #1012265) (LP: #1976627)
  * d/control,d/rules,d/u/metadata: Switch upstream info.
  * New upstream version 22.06.1.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Add new dependency cron-daemon. (Closes: #1012596)
  * Add new build-dep libxapp-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 19:46:42 -0400

## timeshift 22.06.5

=== debian/changelog ===
timeshift (22.06.5-1~mx21+1) mx; urgency=medium

  * Patched for MX Linux to mount btrfs at top-level.

 -- fehlix <fehlix@mxlinux.org>  Thu, 18 Aug 2022 13:33:02 -0400

timeshift (22.06.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Aug 2022 15:46:04 -0400

timeshift (22.06.5-1) unstable; urgency=medium

  * New upstream release.

 -- Steve Meliza <swm@swm1.com>  Mon, 25 Jul 2022 19:09:14 -0700

timeshift (22.06.4-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1014891)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jul 2022 14:32:39 -0400

timeshift (22.06.1-0.1~bpo11+1) bullseye-backports; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jul 2022 14:41:47 -0400

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: fehlix <fehlix@mxlinux.org>
XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders:
 Steve Meliza <swm@swm1.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libgee-0.8-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libvte-2.91-dev,
 libxapp-dev,
 valac,
Standards-Version: 4.6.1
Homepage: https://github.com/linuxmint/timeshift
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends:
 cron-daemon | cron,
 psmisc,
 rsync,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 timeshift-btrfs,
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

=== debian/rules ===
--- 
+++ 
@@ -40,4 +40,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	cp -af timeshift.pot timeshift.pot~
-

## timeshift 22.06.5+ulyana

=== debian/changelog ===
timeshift (22.06.5+ulyana) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:31:39 +0200

timeshift (22.06.4) vanessa; urgency=medium

  [ Michael Webster ]
  * Disable selection of the btrfs backend when there are no btrfs filesystems found.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:26:43 +0200

timeshift (22.06.3) vanessa; urgency=medium

  [ Michael Webster ]
  * settings: Clear the initial snapshot size and file count when all snapshots are deleted.
  * rsync: Calculate required space before attempting to perform an (#19)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Jun 2022 15:18:13 +0200

timeshift (22.06.2) vanessa; urgency=medium

  [ luz paz ]
  * Fix various typos in the source

  [ icarter09 ]
  * Removes lines about paypal account.

  [ Clement Lefebvre ]
  * Remove donation window
  * About: Update info and use a Gtk.AboutDialog
  * SnapshotListBox: Fix distro name LinuxMint -> Linux Mint
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 11:31:04 +0200

timeshift (22.06.1) focal; urgency=medium

  * Fix #895, #809, #689, #653, #10: Unmount devices that were mounted by Timeshift before exit
  * Fix #865, #839, #680: Do not create or remove Qgroups when snapshots are created or removed
  * Fix #900, #891: Force C locale for Rsync
  * Install app icon in /usr/share/pixmaps directory
  * Remove columns 'Size' and 'Unshared Size' for BTRFS snapshots.
  * Rsync: Restore: Delete files using --delete-before instead of --delete-after
  * Fix #260: No text on Summary page under 'Warning' and 'Disclaimer' heading
  * Rsync: Restore: Improve UI for the device selection page
  * Code cleanup: Remove unused functions and code
  * Update donation window
  * Update translations
  * Fix a build failure

 -- Tony George <teejeetech@gmail.com>  Sat, 28 May 2022 10:00:00 +0530

timeshift (21.09.1) focal; urgency=medium

  * Fix #676 Build fails with xapp 2.0.0
  * Fix #676 Update references to GLib.Object
  * Fix #425, #753, #755
  * Fix #589
  * Fix #186
  * Fix compiler warnings
  * Update README

 -- Tony George <teejeetech@gmail.com>  Sat, 25 Sep 2021 10:00:00 +0530

timeshift (21.06) focal; urgency=medium

  * Update packaging
  
  * Update translations
  
  * Update website links
  
  * Fix for parsing lsblk output - #425, #753, #755

 -- Tony George <teejeetech@gmail.com>  Sun, 06 Jun 2021 10:00:00 +0530

## timeshift 22.06.5+una

=== debian/changelog ===
timeshift (22.06.5+una) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:31:39 +0200

=== debian/control ===
Source: timeshift
Section: utils
Priority: extra
Maintainer: Tony George <teejeetech@gmail.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, gzip, valac, libgtk-3-dev, libgee-0.8-dev, libjson-glib-dev, libvte-2.91-dev, libxapp-dev
Standards-Version: 3.9.3
Homepage: https://teejeetech.in/
#Vcs-Git: git://git.debian.org/collab-maint/hello.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/hello.git;a=summary

Package: timeshift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync, btrfs-progs | btrfs-tools
#Recommends:
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 22.06.5+vanessa

=== debian/changelog ===
timeshift (22.06.5+vanessa) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:31:39 +0200

## timeshift 22.11.1

=== debian/changelog ===
timeshift (22.11.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Nov 2022 16:15:08 -0500

timeshift (22.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 16:58:42 -0500

timeshift (22.06.5-1~bpo11+2) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * debian/control: Drop Breaks relationship on older util-linux
    version, not needed. (Closes: #1016778)

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Aug 2022 15:43:32 -0400

## timeshift 22.11.2

=== debian/changelog ===
timeshift (22.11.2-1+deb12u1) bookworm; urgency=medium

  * Team upload.
  * debian/control: Add missing dependency on pkexec. (Closes: #1069676)

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Sep 2024 12:52:34 -0400

timeshift (22.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 20:43:46 -0500

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders:
 Steve Meliza <swm@swm1.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libgee-0.8-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libvte-2.91-dev,
 libxapp-dev,
 valac,
Standards-Version: 4.6.1
Homepage: https://github.com/linuxmint/timeshift
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends:
 cron-daemon | cron,
 pkexec,
 psmisc,
 rsync,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 util-linux (<< 2.37.2~),
Replaces:
 timeshift-btrfs,
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

# Remove broken upstream-installed man page
execute_before_dh_installman:
	rm -f debian/timeshift/usr/share/man/man1/timeshift.1*

execute_after_dh_auto_install:
	rm -rf debian/timeshift/usr/share/man/man1
	rmdir debian/timeshift/usr/share/man
	rm -f debian/timeshift/usr/bin/timeshift-uninstall

## timeshift 22.11.2%2Bvera

=== debian/changelog ===
timeshift (22.11.2+vera) vera; urgency=medium

  [ Michael Webster ]
  * Main.vala: Turn the initial btrfs quota error into a message if we think we know what the error is.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:04:11 +0000

timeshift (22.11.1) vera; urgency=medium

  [ Matin Lotfaliei ]
  * Update README.md to include build dependencies and instructions (#45)

  [ Isaac Carter ]
  * Changes man page to GROFF format (#73)

  [ Michael Webster ]
  * Add github workflow.
  * Clean up debian/control, appdata, build file.
  * debian/control: Restore newline.

  [ Tony George ]
  * #939, #937: Fix crash on ArchLinux and Ubuntu 22.10 Kinetic
  * Don't show message when unmounting temporary mount points
  * Remove some unused code and functions
  * Use -Os for compilation instead of -O3

  [ JungHee Lee ]
  * Update timeshift-gtk.desktop

  [ Tony George ]
  * Fix typo in timeshift-gtk.desktop

  [ Michael Webster ]
  * Fix some file permissions.

  [ Tony George ]
  * Delete the empty 'timeshift-wiki' folder
  * Remove mention of installer in README; Remove config file for installer
  * Remove config file for old GitHub pages site
  * Remove empty NOTES file
  * Remove BUILD_CONFIG

  [ Thomas Praxl ]
  * Restore btrfs qgroups size & unshared size columns

  [ Michael Webster ]
  * Main.vala: Don't continue to try to get btrfs quota info if it fails the first time.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Nov 2022 10:07:06 +0000

timeshift (22.06.5) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:31:39 +0200

## timeshift 22.11.2+elsie

=== debian/changelog ===
timeshift (22.11.2+elsie) vera; urgency=medium

  [ Michael Webster ]
  * Main.vala: Turn the initial btrfs quota error into a message if we think we know what the error is.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:04:11 +0000

## timeshift 23.06.1+victoria

=== debian/changelog ===
timeshift (23.06.1+victoria) victoria; urgency=medium

  [ GHelliot ]
  * Update Device.vala

  [ TotalCaesar659 ]
  * Update URLs to HTTPS

  [ Yegor Yefremov ]
  * README.md: fix a typo

  [ Vlasov Yuriy ]
  * Added extra constraints to BTRFS mode in Supported System Configurations (#103)

  [ Yegor Yefremov ]
  * src/Utility: fix deprecated Thread.create usage (#151)

  [ Michael Webster ]
  * AsyncTask: Use a mutex to guard access to AsyncTask.status_line.

  [ Yegor Yefremov ]
  * Fix printf format warnings (#162)
  * Don't use deprecated from_timeval_utc function
  * Fix deprecated Thread.create usage
  * Fix segmentation fault (#169)

  [ Ivan Skodje ]
  * Added missing documentation regarding tags abbrevation which was difficult to find (#168)

  [ Yegor Yefremov ]
  * Console: add --version option (#175)

  [ Ivan Skodje ]
  * Development documentation for easier accessibility (#170)

  [ Yegor Yefremov ]
  * Remove timeshift-uninstall binary (#176)
  * Debian clean up (#180)
  * Console: add --version option description to the help massages (#181)
  * src/makefile: remove VTE_291_OLD and VTE_291 symbols (#183)
  * Fix project's license (#189)
  * Use help2man utility to create a man page. (#178)
  * meson support (#173)
  * Fix deprecated Gtk.Widget.margin_left and Gtk.Widget.margin_right properties
  * Use get_hadjustment via casting TreeView to Gtk.Scrollable
  * meson: add project's license definition
  * Don't use the deprecated Gtk.TreeView.rules_hint feature (#201)
  * docs: automatically generate timeshift-gtk manpage (#194)
  * Use an unsafe cast (#200)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 11:46:39 +0100

timeshift (22.11.2) vera; urgency=medium

  [ Michael Webster ]
  * Main.vala: Turn the initial btrfs quota error into a message if we think we know what the error is.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:04:11 +0000
